Viewing docs for Databricks v1.116.0
published on Tuesday, Oct 20, 2026 by Pulumi
published on Tuesday, Oct 20, 2026 by Pulumi
Viewing docs for Databricks v1.116.0
published on Tuesday, Oct 20, 2026 by Pulumi
published on Tuesday, Oct 20, 2026 by Pulumi
Lists the Unity Catalog MCP services that are visible to the current principal in a schema.
Example Usage
The following example lists MCP services in the main.default schema:
import * as pulumi from "@pulumi/pulumi";
import * as databricks from "@pulumi/databricks";
const all = databricks.getAiGatewayMcpServices({
parent: "schemas/main.default",
});
export const mcpServices = all.then(all => all.mcpServices);
import pulumi
import pulumi_databricks as databricks
all = databricks.get_ai_gateway_mcp_services(parent="schemas/main.default")
pulumi.export("mcpServices", all.mcp_services)
package main
import (
"github.com/pulumi/pulumi-databricks/sdk/go/databricks"
"github.com/pulumi/pulumi/sdk/v3/go/pulumi"
)
func main() {
pulumi.Run(func(ctx *pulumi.Context) error {
all, err := databricks.GetAiGatewayMcpServices(ctx, &databricks.GetAiGatewayMcpServicesArgs{
Parent: pulumi.StringRef("schemas/main.default"),
}, nil)
if err != nil {
return err
}
ctx.Export("mcpServices", all.McpServices)
return nil
})
}
using System.Collections.Generic;
using System.Linq;
using Pulumi;
using Databricks = Pulumi.Databricks;
return await Deployment.RunAsync(() =>
{
var all = Databricks.GetAiGatewayMcpServices.Invoke(new()
{
Parent = "schemas/main.default",
});
return new Dictionary<string, object?>
{
["mcpServices"] = all.Apply(getAiGatewayMcpServicesResult => getAiGatewayMcpServicesResult.McpServices),
};
});
package generated_program;
import com.pulumi.Context;
import com.pulumi.Pulumi;
import com.pulumi.core.Output;
import com.pulumi.databricks.DatabricksFunctions;
import com.pulumi.databricks.inputs.GetAiGatewayMcpServicesArgs;
import java.util.ArrayList;
import java.util.Arrays;
import java.util.Map;
import java.io.File;
import java.nio.file.Files;
import java.nio.file.Paths;
public class App {
public static void main(String[] args) {
Pulumi.run(App::stack);
}
public static void stack(Context ctx) {
final var all = DatabricksFunctions.getAiGatewayMcpServices(GetAiGatewayMcpServicesArgs.builder()
.parent("schemas/main.default")
.build());
ctx.export("mcpServices", all.mcpServices());
}
}
variables:
all:
fn::invoke:
function: databricks:getAiGatewayMcpServices
arguments:
parent: schemas/main.default
outputs:
mcpServices: ${all.mcpServices}
terraform {
required_providers {
databricks = {
source = "pulumi/databricks"
}
}
}
data "databricks_ai_gateway_mcp_services" "all" {
parent = "schemas/main.default"
}
output "mcpServices" {
value = data.databricks_ai_gateway_mcp_services.all.mcp_services
}
Using getAiGatewayMcpServices
Two invocation forms are available. The direct form accepts plain arguments and either blocks until the result value is available, or returns a Promise-wrapped result. The output form accepts Input-wrapped arguments and returns an Output-wrapped result.
function getAiGatewayMcpServices(args: GetAiGatewayMcpServicesArgs, opts?: InvokeOptions): Promise<GetAiGatewayMcpServicesResult>
function getAiGatewayMcpServicesOutput(args: GetAiGatewayMcpServicesOutputArgs, opts?: InvokeOutputOptions): Output<GetAiGatewayMcpServicesResult>def get_ai_gateway_mcp_services(page_size: Optional[int] = None,
parent: Optional[str] = None,
provider_config: Optional[GetAiGatewayMcpServicesProviderConfig] = None,
view: Optional[str] = None,
opts: Optional[InvokeOptions] = None) -> GetAiGatewayMcpServicesResult
def get_ai_gateway_mcp_services_output(page_size: pulumi.Input[Optional[int]] = None,
parent: pulumi.Input[Optional[str]] = None,
provider_config: pulumi.Input[Optional[GetAiGatewayMcpServicesProviderConfigArgs]] = None,
view: pulumi.Input[Optional[str]] = None,
opts: Optional[InvokeOutputOptions] = None) -> Output[GetAiGatewayMcpServicesResult]func GetAiGatewayMcpServices(ctx *Context, args *GetAiGatewayMcpServicesArgs, opts ...InvokeOption) (*GetAiGatewayMcpServicesResult, error)
func GetAiGatewayMcpServicesOutput(ctx *Context, args *GetAiGatewayMcpServicesOutputArgs, opts ...InvokeOption) GetAiGatewayMcpServicesResultOutput> Note: This function is named GetAiGatewayMcpServices in the Go SDK.
public static class GetAiGatewayMcpServices
{
public static Task<GetAiGatewayMcpServicesResult> InvokeAsync(GetAiGatewayMcpServicesArgs args, InvokeOptions? opts = null)
public static Output<GetAiGatewayMcpServicesResult> Invoke(GetAiGatewayMcpServicesInvokeArgs args, InvokeOptions? opts = null)
public static Output<GetAiGatewayMcpServicesResult> Invoke(GetAiGatewayMcpServicesInvokeArgs args, InvokeOutputOptions opts)
}public static CompletableFuture<GetAiGatewayMcpServicesResult> getAiGatewayMcpServices(GetAiGatewayMcpServicesArgs args, InvokeOptions options)
public static Output<GetAiGatewayMcpServicesResult> getAiGatewayMcpServices(GetAiGatewayMcpServicesArgs args, InvokeOptions options)
public static Output<GetAiGatewayMcpServicesResult> getAiGatewayMcpServices(GetAiGatewayMcpServicesArgs args, InvokeOutputOptions options)
fn::invoke:
function: databricks:index/getAiGatewayMcpServices:getAiGatewayMcpServices
arguments:
# arguments dictionarydata "databricks_get_ai_gateway_mcp_services" "name" {
# arguments
}The following arguments are supported:
- Page
Size int - Maximum number of MCP services to return. Defaults to 100 when unset or 0;
the maximum is 100. Use
pageTokento retrieve additional pages - Parent string
- Parent schema to list within, in the form
schemas/{catalog}.{schema}. Required. Each{...}component is capped at 255 characters individually - Provider
Config GetAi Gateway Mcp Services Provider Config - Configure the provider for management through account provider.
- View string
- Fields to return for each service.
FULLincludes source-connection details and rate-limit principal names.BASIComits the source connection and omits principal names from rate limits. Defaults toBASICwhen unset. Possible values are:BASIC,FULL
- Page
Size int - Maximum number of MCP services to return. Defaults to 100 when unset or 0;
the maximum is 100. Use
pageTokento retrieve additional pages - Parent string
- Parent schema to list within, in the form
schemas/{catalog}.{schema}. Required. Each{...}component is capped at 255 characters individually - Provider
Config GetAi Gateway Mcp Services Provider Config - Configure the provider for management through account provider.
- View string
- Fields to return for each service.
FULLincludes source-connection details and rate-limit principal names.BASIComits the source connection and omits principal names from rate limits. Defaults toBASICwhen unset. Possible values are:BASIC,FULL
- page_
size number - Maximum number of MCP services to return. Defaults to 100 when unset or 0;
the maximum is 100. Use
pageTokento retrieve additional pages - parent string
- Parent schema to list within, in the form
schemas/{catalog}.{schema}. Required. Each{...}component is capped at 255 characters individually - provider_
config object - Configure the provider for management through account provider.
- view string
- Fields to return for each service.
FULLincludes source-connection details and rate-limit principal names.BASIComits the source connection and omits principal names from rate limits. Defaults toBASICwhen unset. Possible values are:BASIC,FULL
- page
Size Integer - Maximum number of MCP services to return. Defaults to 100 when unset or 0;
the maximum is 100. Use
pageTokento retrieve additional pages - parent String
- Parent schema to list within, in the form
schemas/{catalog}.{schema}. Required. Each{...}component is capped at 255 characters individually - provider
Config GetAi Gateway Mcp Services Provider Config - Configure the provider for management through account provider.
- view String
- Fields to return for each service.
FULLincludes source-connection details and rate-limit principal names.BASIComits the source connection and omits principal names from rate limits. Defaults toBASICwhen unset. Possible values are:BASIC,FULL
- page
Size number - Maximum number of MCP services to return. Defaults to 100 when unset or 0;
the maximum is 100. Use
pageTokento retrieve additional pages - parent string
- Parent schema to list within, in the form
schemas/{catalog}.{schema}. Required. Each{...}component is capped at 255 characters individually - provider
Config GetAi Gateway Mcp Services Provider Config - Configure the provider for management through account provider.
- view string
- Fields to return for each service.
FULLincludes source-connection details and rate-limit principal names.BASIComits the source connection and omits principal names from rate limits. Defaults toBASICwhen unset. Possible values are:BASIC,FULL
- page_
size int - Maximum number of MCP services to return. Defaults to 100 when unset or 0;
the maximum is 100. Use
pageTokento retrieve additional pages - parent str
- Parent schema to list within, in the form
schemas/{catalog}.{schema}. Required. Each{...}component is capped at 255 characters individually - provider_
config GetAi Gateway Mcp Services Provider Config - Configure the provider for management through account provider.
- view str
- Fields to return for each service.
FULLincludes source-connection details and rate-limit principal names.BASIComits the source connection and omits principal names from rate limits. Defaults toBASICwhen unset. Possible values are:BASIC,FULL
- page
Size Number - Maximum number of MCP services to return. Defaults to 100 when unset or 0;
the maximum is 100. Use
pageTokento retrieve additional pages - parent String
- Parent schema to list within, in the form
schemas/{catalog}.{schema}. Required. Each{...}component is capped at 255 characters individually - provider
Config Property Map - Configure the provider for management through account provider.
- view String
- Fields to return for each service.
FULLincludes source-connection details and rate-limit principal names.BASIComits the source connection and omits principal names from rate limits. Defaults toBASICwhen unset. Possible values are:BASIC,FULL
getAiGatewayMcpServices Result
The following output properties are available:
- mcp_
services list(object) - page_
size number - parent string
- provider_
config object - view string
- mcp
Services List<Property Map> - page
Size Number - parent String
- provider
Config Property Map - view String
Supporting Types
GetAiGatewayMcpServicesMcpService
- Comment string
- (string) - User-provided description
- Config
Get
Ai Gateway Mcp Services Mcp Service Config - (McpServiceConfig) - Connection, tool selectors, and rate limits. Required on Create. On Update,
provide this field when
updateMaskcontainsconfigor one of its subpaths - Create
Time string - (string) - Time the MCP service was created
- Created
By string - (string) - Creator identity
- Effective
Owner string - (string) - Owner of the MCP service
- Etag string
- (string) - Optimistic concurrency token returned on every read. To make an Update or
Delete conditional, pass the last-read value in that request's
etagfield. In REST responses, this value is a base64 string; URL-encode it when setting theetagquery parameter - Metastore
Id string - (string) - Metastore hosting the MCP service
- Name string
- (string) - Resource name of the Unity Catalog connection used to access the MCP
server, in the form
connections/{catalog}.{schema}.{connection} - Update
Time string - (string) - Time the MCP service was last modified
- Updated
By string - (string) - Identity of the last updater
- Provider
Config GetAi Gateway Mcp Services Mcp Service Provider Config - Configure the provider for management through account provider.
- Comment string
- (string) - User-provided description
- Config
Get
Ai Gateway Mcp Services Mcp Service Config - (McpServiceConfig) - Connection, tool selectors, and rate limits. Required on Create. On Update,
provide this field when
updateMaskcontainsconfigor one of its subpaths - Create
Time string - (string) - Time the MCP service was created
- Created
By string - (string) - Creator identity
- Effective
Owner string - (string) - Owner of the MCP service
- Etag string
- (string) - Optimistic concurrency token returned on every read. To make an Update or
Delete conditional, pass the last-read value in that request's
etagfield. In REST responses, this value is a base64 string; URL-encode it when setting theetagquery parameter - Metastore
Id string - (string) - Metastore hosting the MCP service
- Name string
- (string) - Resource name of the Unity Catalog connection used to access the MCP
server, in the form
connections/{catalog}.{schema}.{connection} - Update
Time string - (string) - Time the MCP service was last modified
- Updated
By string - (string) - Identity of the last updater
- Provider
Config GetAi Gateway Mcp Services Mcp Service Provider Config - Configure the provider for management through account provider.
- comment string
- (string) - User-provided description
- config object
- (McpServiceConfig) - Connection, tool selectors, and rate limits. Required on Create. On Update,
provide this field when
updateMaskcontainsconfigor one of its subpaths - create_
time string - (string) - Time the MCP service was created
- created_
by string - (string) - Creator identity
- effective_
owner string - (string) - Owner of the MCP service
- etag string
- (string) - Optimistic concurrency token returned on every read. To make an Update or
Delete conditional, pass the last-read value in that request's
etagfield. In REST responses, this value is a base64 string; URL-encode it when setting theetagquery parameter - metastore_
id string - (string) - Metastore hosting the MCP service
- name string
- (string) - Resource name of the Unity Catalog connection used to access the MCP
server, in the form
connections/{catalog}.{schema}.{connection} - update_
time string - (string) - Time the MCP service was last modified
- updated_
by string - (string) - Identity of the last updater
- provider_
config object - Configure the provider for management through account provider.
- comment String
- (string) - User-provided description
- config
Get
Ai Gateway Mcp Services Mcp Service Config - (McpServiceConfig) - Connection, tool selectors, and rate limits. Required on Create. On Update,
provide this field when
updateMaskcontainsconfigor one of its subpaths - create
Time String - (string) - Time the MCP service was created
- created
By String - (string) - Creator identity
- effective
Owner String - (string) - Owner of the MCP service
- etag String
- (string) - Optimistic concurrency token returned on every read. To make an Update or
Delete conditional, pass the last-read value in that request's
etagfield. In REST responses, this value is a base64 string; URL-encode it when setting theetagquery parameter - metastore
Id String - (string) - Metastore hosting the MCP service
- name String
- (string) - Resource name of the Unity Catalog connection used to access the MCP
server, in the form
connections/{catalog}.{schema}.{connection} - update
Time String - (string) - Time the MCP service was last modified
- updated
By String - (string) - Identity of the last updater
- provider
Config GetAi Gateway Mcp Services Mcp Service Provider Config - Configure the provider for management through account provider.
- comment string
- (string) - User-provided description
- config
Get
Ai Gateway Mcp Services Mcp Service Config - (McpServiceConfig) - Connection, tool selectors, and rate limits. Required on Create. On Update,
provide this field when
updateMaskcontainsconfigor one of its subpaths - create
Time string - (string) - Time the MCP service was created
- created
By string - (string) - Creator identity
- effective
Owner string - (string) - Owner of the MCP service
- etag string
- (string) - Optimistic concurrency token returned on every read. To make an Update or
Delete conditional, pass the last-read value in that request's
etagfield. In REST responses, this value is a base64 string; URL-encode it when setting theetagquery parameter - metastore
Id string - (string) - Metastore hosting the MCP service
- name string
- (string) - Resource name of the Unity Catalog connection used to access the MCP
server, in the form
connections/{catalog}.{schema}.{connection} - update
Time string - (string) - Time the MCP service was last modified
- updated
By string - (string) - Identity of the last updater
- provider
Config GetAi Gateway Mcp Services Mcp Service Provider Config - Configure the provider for management through account provider.
- comment str
- (string) - User-provided description
- config
Get
Ai Gateway Mcp Services Mcp Service Config - (McpServiceConfig) - Connection, tool selectors, and rate limits. Required on Create. On Update,
provide this field when
updateMaskcontainsconfigor one of its subpaths - create_
time str - (string) - Time the MCP service was created
- created_
by str - (string) - Creator identity
- effective_
owner str - (string) - Owner of the MCP service
- etag str
- (string) - Optimistic concurrency token returned on every read. To make an Update or
Delete conditional, pass the last-read value in that request's
etagfield. In REST responses, this value is a base64 string; URL-encode it when setting theetagquery parameter - metastore_
id str - (string) - Metastore hosting the MCP service
- name str
- (string) - Resource name of the Unity Catalog connection used to access the MCP
server, in the form
connections/{catalog}.{schema}.{connection} - update_
time str - (string) - Time the MCP service was last modified
- updated_
by str - (string) - Identity of the last updater
- provider_
config GetAi Gateway Mcp Services Mcp Service Provider Config - Configure the provider for management through account provider.
- comment String
- (string) - User-provided description
- config Property Map
- (McpServiceConfig) - Connection, tool selectors, and rate limits. Required on Create. On Update,
provide this field when
updateMaskcontainsconfigor one of its subpaths - create
Time String - (string) - Time the MCP service was created
- created
By String - (string) - Creator identity
- effective
Owner String - (string) - Owner of the MCP service
- etag String
- (string) - Optimistic concurrency token returned on every read. To make an Update or
Delete conditional, pass the last-read value in that request's
etagfield. In REST responses, this value is a base64 string; URL-encode it when setting theetagquery parameter - metastore
Id String - (string) - Metastore hosting the MCP service
- name String
- (string) - Resource name of the Unity Catalog connection used to access the MCP
server, in the form
connections/{catalog}.{schema}.{connection} - update
Time String - (string) - Time the MCP service was last modified
- updated
By String - (string) - Identity of the last updater
- provider
Config Property Map - Configure the provider for management through account provider.
GetAiGatewayMcpServicesMcpServiceConfig
- Include
Tool List<string>Selectors - (list of string) - Tool names or prefix patterns to expose from the MCP server. Use exact
tool names or prefix patterns such as
read_*. An empty list exposes all tools. At most 1,024 selectors are allowed, and each selector can contain at most 256 characters - Rate
Limits List<GetAi Gateway Mcp Services Mcp Service Config Rate Limit> - (list of RateLimit) - Rate limits for tool invocations. Supported scopes are user, group, service principal, the service as a whole, and each user by default. Request and token limits are supported. Empty when no rate limit is configured
- Source
Connection GetAi Gateway Mcp Services Mcp Service Config Source Connection - (McpServiceConfigSourceConnection) - Unity Catalog connection referencing the MCP server. Required on Create
- Include
Tool []stringSelectors - (list of string) - Tool names or prefix patterns to expose from the MCP server. Use exact
tool names or prefix patterns such as
read_*. An empty list exposes all tools. At most 1,024 selectors are allowed, and each selector can contain at most 256 characters - Rate
Limits []GetAi Gateway Mcp Services Mcp Service Config Rate Limit - (list of RateLimit) - Rate limits for tool invocations. Supported scopes are user, group, service principal, the service as a whole, and each user by default. Request and token limits are supported. Empty when no rate limit is configured
- Source
Connection GetAi Gateway Mcp Services Mcp Service Config Source Connection - (McpServiceConfigSourceConnection) - Unity Catalog connection referencing the MCP server. Required on Create
- include_
tool_ list(string)selectors - (list of string) - Tool names or prefix patterns to expose from the MCP server. Use exact
tool names or prefix patterns such as
read_*. An empty list exposes all tools. At most 1,024 selectors are allowed, and each selector can contain at most 256 characters - rate_
limits list(object) - (list of RateLimit) - Rate limits for tool invocations. Supported scopes are user, group, service principal, the service as a whole, and each user by default. Request and token limits are supported. Empty when no rate limit is configured
- source_
connection object - (McpServiceConfigSourceConnection) - Unity Catalog connection referencing the MCP server. Required on Create
- include
Tool List<String>Selectors - (list of string) - Tool names or prefix patterns to expose from the MCP server. Use exact
tool names or prefix patterns such as
read_*. An empty list exposes all tools. At most 1,024 selectors are allowed, and each selector can contain at most 256 characters - rate
Limits List<GetAi Gateway Mcp Services Mcp Service Config Rate Limit> - (list of RateLimit) - Rate limits for tool invocations. Supported scopes are user, group, service principal, the service as a whole, and each user by default. Request and token limits are supported. Empty when no rate limit is configured
- source
Connection GetAi Gateway Mcp Services Mcp Service Config Source Connection - (McpServiceConfigSourceConnection) - Unity Catalog connection referencing the MCP server. Required on Create
- include
Tool string[]Selectors - (list of string) - Tool names or prefix patterns to expose from the MCP server. Use exact
tool names or prefix patterns such as
read_*. An empty list exposes all tools. At most 1,024 selectors are allowed, and each selector can contain at most 256 characters - rate
Limits GetAi Gateway Mcp Services Mcp Service Config Rate Limit[] - (list of RateLimit) - Rate limits for tool invocations. Supported scopes are user, group, service principal, the service as a whole, and each user by default. Request and token limits are supported. Empty when no rate limit is configured
- source
Connection GetAi Gateway Mcp Services Mcp Service Config Source Connection - (McpServiceConfigSourceConnection) - Unity Catalog connection referencing the MCP server. Required on Create
- include_
tool_ Sequence[str]selectors - (list of string) - Tool names or prefix patterns to expose from the MCP server. Use exact
tool names or prefix patterns such as
read_*. An empty list exposes all tools. At most 1,024 selectors are allowed, and each selector can contain at most 256 characters - rate_
limits Sequence[GetAi Gateway Mcp Services Mcp Service Config Rate Limit] - (list of RateLimit) - Rate limits for tool invocations. Supported scopes are user, group, service principal, the service as a whole, and each user by default. Request and token limits are supported. Empty when no rate limit is configured
- source_
connection GetAi Gateway Mcp Services Mcp Service Config Source Connection - (McpServiceConfigSourceConnection) - Unity Catalog connection referencing the MCP server. Required on Create
- include
Tool List<String>Selectors - (list of string) - Tool names or prefix patterns to expose from the MCP server. Use exact
tool names or prefix patterns such as
read_*. An empty list exposes all tools. At most 1,024 selectors are allowed, and each selector can contain at most 256 characters - rate
Limits List<Property Map> - (list of RateLimit) - Rate limits for tool invocations. Supported scopes are user, group, service principal, the service as a whole, and each user by default. Request and token limits are supported. Empty when no rate limit is configured
- source
Connection Property Map - (McpServiceConfigSourceConnection) - Unity Catalog connection referencing the MCP server. Required on Create
GetAiGatewayMcpServicesMcpServiceConfigRateLimit
- Key string
- (string) - Scope of the rate limit. Depending on this value, the limit applies to a
principal, the service as a whole, or each user by default. Possible values are:
RATE_LIMIT_KEY_SERVICE,RATE_LIMIT_KEY_SERVICE_PRINCIPAL,RATE_LIMIT_KEY_USER,RATE_LIMIT_KEY_USER_DEFAULT,RATE_LIMIT_KEY_USER_GROUP - Renewal
Period string - (string) - Renewal period. Possible values are:
RATE_LIMIT_RENEWAL_PERIOD_HOUR,RATE_LIMIT_RENEWAL_PERIOD_MINUTE - Principal string
- (string) - Principal this limit applies to: user email, group name, or service
principal application ID. Required when
keyapplies to a user, group, or service principal; otherwise it must be unset - Requests int
- (integer) - Maximum requests allowed in one renewal period. Leave unset for no request
limit. Set to
0to deny all requests - Tokens int
- (integer) - Maximum tokens allowed in one renewal period. Leave unset for no token
limit. Set to
0to deny all requests
- Key string
- (string) - Scope of the rate limit. Depending on this value, the limit applies to a
principal, the service as a whole, or each user by default. Possible values are:
RATE_LIMIT_KEY_SERVICE,RATE_LIMIT_KEY_SERVICE_PRINCIPAL,RATE_LIMIT_KEY_USER,RATE_LIMIT_KEY_USER_DEFAULT,RATE_LIMIT_KEY_USER_GROUP - Renewal
Period string - (string) - Renewal period. Possible values are:
RATE_LIMIT_RENEWAL_PERIOD_HOUR,RATE_LIMIT_RENEWAL_PERIOD_MINUTE - Principal string
- (string) - Principal this limit applies to: user email, group name, or service
principal application ID. Required when
keyapplies to a user, group, or service principal; otherwise it must be unset - Requests int
- (integer) - Maximum requests allowed in one renewal period. Leave unset for no request
limit. Set to
0to deny all requests - Tokens int
- (integer) - Maximum tokens allowed in one renewal period. Leave unset for no token
limit. Set to
0to deny all requests
- key string
- (string) - Scope of the rate limit. Depending on this value, the limit applies to a
principal, the service as a whole, or each user by default. Possible values are:
RATE_LIMIT_KEY_SERVICE,RATE_LIMIT_KEY_SERVICE_PRINCIPAL,RATE_LIMIT_KEY_USER,RATE_LIMIT_KEY_USER_DEFAULT,RATE_LIMIT_KEY_USER_GROUP - renewal_
period string - (string) - Renewal period. Possible values are:
RATE_LIMIT_RENEWAL_PERIOD_HOUR,RATE_LIMIT_RENEWAL_PERIOD_MINUTE - principal string
- (string) - Principal this limit applies to: user email, group name, or service
principal application ID. Required when
keyapplies to a user, group, or service principal; otherwise it must be unset - requests number
- (integer) - Maximum requests allowed in one renewal period. Leave unset for no request
limit. Set to
0to deny all requests - tokens number
- (integer) - Maximum tokens allowed in one renewal period. Leave unset for no token
limit. Set to
0to deny all requests
- key String
- (string) - Scope of the rate limit. Depending on this value, the limit applies to a
principal, the service as a whole, or each user by default. Possible values are:
RATE_LIMIT_KEY_SERVICE,RATE_LIMIT_KEY_SERVICE_PRINCIPAL,RATE_LIMIT_KEY_USER,RATE_LIMIT_KEY_USER_DEFAULT,RATE_LIMIT_KEY_USER_GROUP - renewal
Period String - (string) - Renewal period. Possible values are:
RATE_LIMIT_RENEWAL_PERIOD_HOUR,RATE_LIMIT_RENEWAL_PERIOD_MINUTE - principal String
- (string) - Principal this limit applies to: user email, group name, or service
principal application ID. Required when
keyapplies to a user, group, or service principal; otherwise it must be unset - requests Integer
- (integer) - Maximum requests allowed in one renewal period. Leave unset for no request
limit. Set to
0to deny all requests - tokens Integer
- (integer) - Maximum tokens allowed in one renewal period. Leave unset for no token
limit. Set to
0to deny all requests
- key string
- (string) - Scope of the rate limit. Depending on this value, the limit applies to a
principal, the service as a whole, or each user by default. Possible values are:
RATE_LIMIT_KEY_SERVICE,RATE_LIMIT_KEY_SERVICE_PRINCIPAL,RATE_LIMIT_KEY_USER,RATE_LIMIT_KEY_USER_DEFAULT,RATE_LIMIT_KEY_USER_GROUP - renewal
Period string - (string) - Renewal period. Possible values are:
RATE_LIMIT_RENEWAL_PERIOD_HOUR,RATE_LIMIT_RENEWAL_PERIOD_MINUTE - principal string
- (string) - Principal this limit applies to: user email, group name, or service
principal application ID. Required when
keyapplies to a user, group, or service principal; otherwise it must be unset - requests number
- (integer) - Maximum requests allowed in one renewal period. Leave unset for no request
limit. Set to
0to deny all requests - tokens number
- (integer) - Maximum tokens allowed in one renewal period. Leave unset for no token
limit. Set to
0to deny all requests
- key str
- (string) - Scope of the rate limit. Depending on this value, the limit applies to a
principal, the service as a whole, or each user by default. Possible values are:
RATE_LIMIT_KEY_SERVICE,RATE_LIMIT_KEY_SERVICE_PRINCIPAL,RATE_LIMIT_KEY_USER,RATE_LIMIT_KEY_USER_DEFAULT,RATE_LIMIT_KEY_USER_GROUP - renewal_
period str - (string) - Renewal period. Possible values are:
RATE_LIMIT_RENEWAL_PERIOD_HOUR,RATE_LIMIT_RENEWAL_PERIOD_MINUTE - principal str
- (string) - Principal this limit applies to: user email, group name, or service
principal application ID. Required when
keyapplies to a user, group, or service principal; otherwise it must be unset - requests int
- (integer) - Maximum requests allowed in one renewal period. Leave unset for no request
limit. Set to
0to deny all requests - tokens int
- (integer) - Maximum tokens allowed in one renewal period. Leave unset for no token
limit. Set to
0to deny all requests
- key String
- (string) - Scope of the rate limit. Depending on this value, the limit applies to a
principal, the service as a whole, or each user by default. Possible values are:
RATE_LIMIT_KEY_SERVICE,RATE_LIMIT_KEY_SERVICE_PRINCIPAL,RATE_LIMIT_KEY_USER,RATE_LIMIT_KEY_USER_DEFAULT,RATE_LIMIT_KEY_USER_GROUP - renewal
Period String - (string) - Renewal period. Possible values are:
RATE_LIMIT_RENEWAL_PERIOD_HOUR,RATE_LIMIT_RENEWAL_PERIOD_MINUTE - principal String
- (string) - Principal this limit applies to: user email, group name, or service
principal application ID. Required when
keyapplies to a user, group, or service principal; otherwise it must be unset - requests Number
- (integer) - Maximum requests allowed in one renewal period. Leave unset for no request
limit. Set to
0to deny all requests - tokens Number
- (integer) - Maximum tokens allowed in one renewal period. Leave unset for no token
limit. Set to
0to deny all requests
GetAiGatewayMcpServicesMcpServiceConfigSourceConnection
- Is
Deleted bool - (boolean) - Whether the referenced connection has been deleted. The MCP service keeps the reference so callers can identify the broken dependency; tool invocation fails until the source connection is updated
- Name string
- (string) - Resource name of the Unity Catalog connection used to access the MCP
server, in the form
connections/{catalog}.{schema}.{connection} - Options Dictionary<string, string>
- (object) - Options needed to build the U2M authorize request, returned as a flat map. When set, it
includes:
authorizationEndpoint(OAuth authorize URL),tokenEndpoint(token-exchange URL),oauthScope(space-separated scopes to request),clientId(OAuth client id), andoauthProvider(the OAuth provider)
- Is
Deleted bool - (boolean) - Whether the referenced connection has been deleted. The MCP service keeps the reference so callers can identify the broken dependency; tool invocation fails until the source connection is updated
- Name string
- (string) - Resource name of the Unity Catalog connection used to access the MCP
server, in the form
connections/{catalog}.{schema}.{connection} - Options map[string]string
- (object) - Options needed to build the U2M authorize request, returned as a flat map. When set, it
includes:
authorizationEndpoint(OAuth authorize URL),tokenEndpoint(token-exchange URL),oauthScope(space-separated scopes to request),clientId(OAuth client id), andoauthProvider(the OAuth provider)
- is_
deleted bool - (boolean) - Whether the referenced connection has been deleted. The MCP service keeps the reference so callers can identify the broken dependency; tool invocation fails until the source connection is updated
- name string
- (string) - Resource name of the Unity Catalog connection used to access the MCP
server, in the form
connections/{catalog}.{schema}.{connection} - options map(string)
- (object) - Options needed to build the U2M authorize request, returned as a flat map. When set, it
includes:
authorizationEndpoint(OAuth authorize URL),tokenEndpoint(token-exchange URL),oauthScope(space-separated scopes to request),clientId(OAuth client id), andoauthProvider(the OAuth provider)
- is
Deleted Boolean - (boolean) - Whether the referenced connection has been deleted. The MCP service keeps the reference so callers can identify the broken dependency; tool invocation fails until the source connection is updated
- name String
- (string) - Resource name of the Unity Catalog connection used to access the MCP
server, in the form
connections/{catalog}.{schema}.{connection} - options Map<String,String>
- (object) - Options needed to build the U2M authorize request, returned as a flat map. When set, it
includes:
authorizationEndpoint(OAuth authorize URL),tokenEndpoint(token-exchange URL),oauthScope(space-separated scopes to request),clientId(OAuth client id), andoauthProvider(the OAuth provider)
- is
Deleted boolean - (boolean) - Whether the referenced connection has been deleted. The MCP service keeps the reference so callers can identify the broken dependency; tool invocation fails until the source connection is updated
- name string
- (string) - Resource name of the Unity Catalog connection used to access the MCP
server, in the form
connections/{catalog}.{schema}.{connection} - options {[key: string]: string}
- (object) - Options needed to build the U2M authorize request, returned as a flat map. When set, it
includes:
authorizationEndpoint(OAuth authorize URL),tokenEndpoint(token-exchange URL),oauthScope(space-separated scopes to request),clientId(OAuth client id), andoauthProvider(the OAuth provider)
- is_
deleted bool - (boolean) - Whether the referenced connection has been deleted. The MCP service keeps the reference so callers can identify the broken dependency; tool invocation fails until the source connection is updated
- name str
- (string) - Resource name of the Unity Catalog connection used to access the MCP
server, in the form
connections/{catalog}.{schema}.{connection} - options Mapping[str, str]
- (object) - Options needed to build the U2M authorize request, returned as a flat map. When set, it
includes:
authorizationEndpoint(OAuth authorize URL),tokenEndpoint(token-exchange URL),oauthScope(space-separated scopes to request),clientId(OAuth client id), andoauthProvider(the OAuth provider)
- is
Deleted Boolean - (boolean) - Whether the referenced connection has been deleted. The MCP service keeps the reference so callers can identify the broken dependency; tool invocation fails until the source connection is updated
- name String
- (string) - Resource name of the Unity Catalog connection used to access the MCP
server, in the form
connections/{catalog}.{schema}.{connection} - options Map<String>
- (object) - Options needed to build the U2M authorize request, returned as a flat map. When set, it
includes:
authorizationEndpoint(OAuth authorize URL),tokenEndpoint(token-exchange URL),oauthScope(space-separated scopes to request),clientId(OAuth client id), andoauthProvider(the OAuth provider)
GetAiGatewayMcpServicesMcpServiceProviderConfig
- Workspace
Id string - Workspace ID which the resource belongs to. This workspace must be part of the account which the provider is configured with.
- Workspace
Id string - Workspace ID which the resource belongs to. This workspace must be part of the account which the provider is configured with.
- workspace_
id string - Workspace ID which the resource belongs to. This workspace must be part of the account which the provider is configured with.
- workspace
Id String - Workspace ID which the resource belongs to. This workspace must be part of the account which the provider is configured with.
- workspace
Id string - Workspace ID which the resource belongs to. This workspace must be part of the account which the provider is configured with.
- workspace_
id str - Workspace ID which the resource belongs to. This workspace must be part of the account which the provider is configured with.
- workspace
Id String - Workspace ID which the resource belongs to. This workspace must be part of the account which the provider is configured with.
GetAiGatewayMcpServicesProviderConfig
- Workspace
Id string - Workspace ID which the resource belongs to. This workspace must be part of the account which the provider is configured with.
- Workspace
Id string - Workspace ID which the resource belongs to. This workspace must be part of the account which the provider is configured with.
- workspace_
id string - Workspace ID which the resource belongs to. This workspace must be part of the account which the provider is configured with.
- workspace
Id String - Workspace ID which the resource belongs to. This workspace must be part of the account which the provider is configured with.
- workspace
Id string - Workspace ID which the resource belongs to. This workspace must be part of the account which the provider is configured with.
- workspace_
id str - Workspace ID which the resource belongs to. This workspace must be part of the account which the provider is configured with.
- workspace
Id String - Workspace ID which the resource belongs to. This workspace must be part of the account which the provider is configured with.
Package Details
- Repository
- databricks pulumi/pulumi-databricks
- License
- Apache-2.0
- Notes
- This Pulumi package is based on the
databricksTerraform Provider.
Viewing docs for Databricks v1.116.0
published on Tuesday, Oct 20, 2026 by Pulumi
published on Tuesday, Oct 20, 2026 by Pulumi